Bug 816056 - Make language (i18n/translation) configurable for designer.war
Make language (i18n/translation) configurable for designer.war
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 03:26 EDT by Toshiya Kobayashi
Modified: 2012-05-27 21:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2012-04-25 03:26:59 EDT
Description of problem:

Currently, "i18n/translation_en_us.js" is hard-coded in org.jbpm.designer.server.EditorHandler so we cannot switch translation from en-us.

Make language configurable (e.g. <init-param> in web.xml) so that designer.war can pick up specified translation_xx.js under i18n directory.

Sent a pull request.
https://github.com/tsurdilo/process-designer/pull/6

Version-Release number of selected component (if applicable):

BRMS 5.3.0 ER6

Actual results:

No way to enable i18n/translation_xx.js other than translation_en_us.js

Expected results:

Uses can choose language for i18n/translation_xx.js

Additional info:
Comment 1 Prakash Aradhya 2012-04-30 12:17:16 EDT
Team is working on creating localization.  Please tackle this for upcoming build.
Comment 2 Tihomir Surdilovic 2012-05-09 13:22:16 EDT
This is done in Designer master and 2.2.x branches.
Comment 3 Ryan Zhang 2012-05-14 04:16:58 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 5 Sona Mala 2012-05-23 04:52:12 EDT
Please which localization should be supported by 5.3.0 ER7? 
For DE,RU,ES:
  - designer display blank canvas without toolbars (I waited more than 5 minutes)
For JA_JP:
  - loading of designer take more time than is usual.
  - some description of icons are still in english:
        - all icons in south toolbar
        - some icons in north toolbar(dictionary,color template,import process)
        - in east and west toolbar the titles are japanese but labels of properties and object's names are english.
        - icons Dictionary, Node Source and Tool in pop-up menu of objects are english
  - validation's results are english
  - editor for changing properties is english

Steps to set localization:
1. Set value of "designer.locale" in designer.war/WEB-INF/web.xml to {de|es|ru|ja_jp}
2. Start standalone server 5.3.0 ER7
3. Open guvnor through browser (Firefox)
4. Create new (or Open) BPMN2 process
Comment 6 Lukáš Petrovický 2012-05-23 04:57:44 EDT
Toshiya, could you please provide information whether this is sufficient for you? You're the main user of the localization features, so I'm interested in your opinion.
Comment 7 Toshiya Kobayashi 2012-05-23 08:46:21 EDT
Thanks,

This BZ is focusing on the capability to "change the language to load i18n/translation_xx.js". In that sense, the issue has been resolved.

> For DE,RU,ES:
>   - designer display blank canvas without toolbars (I waited more than 5 minutes)

translation_[de|ru|es].js files are not in sync with translation_en_us.js. Currently we don't have a contributor for those languages hence we don't support them for BRMS 5.3.0. A good news is that we can fix those files in the exploded war even after GA release.

> For JA_JP:
>   - loading of designer take more time than is usual.

No problem. The next access gets faster.

>   - some description of icons are still in english:
>         - all icons in south toolbar
>         - some icons in north toolbar(dictionary,color template,import process)
>         - in east and west toolbar the titles are japanese but labels of properties and object's names are english.
>         - icons Dictionary, Node Source and Tool in pop-up menu of objects are english
>   - validation's results are english
>   - editor for changing properties is english

For east and west toolbar, we (Japanese team) are working on stencil translation (stencilsets/bpmn2.0jbpm/stencildata/bpmn2.0jbpm.orig). I've filed a BZ for this.

https://bugzilla.redhat.com/show_bug.cgi?id=824392

In addition, some text are hard-coded in other files as you pointed. Externalizing them is our TODO after GA. I've filed a BZ for this.

https://bugzilla.redhat.com/show_bug.cgi?id=824408

Toshiya

Note You need to log in before you can comment on or make changes to this bug.